﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using Xamarin.Forms;

namespace GaugeHeaderSample
{
	public partial class GaugeSamplePage : INotifyPropertyChanged
	{

		public new event PropertyChangedEventHandler PropertyChanged;

		private double pointerValue = 60;

		public double PointerValue
		{
			get { return pointerValue; }
			set
			{
				pointerValue = value;
				if (PropertyChanged != null)
				{
					PropertyChanged(this,
					new PropertyChangedEventArgs("PointerValue"));
					header.Text = header.Text + "%";
				}
			}
		}

		public GaugeSamplePage()
		{
			InitializeComponent();

			circularGauge.BindingContext = this;

		}
	}
}

